Classes | Public Member Functions | Private Attributes | List of all members
libebook::FB2Authors Class Reference

## Classes
struct | Data

## Public Member Functions
| FB2Authors ()
void | setFirstName (const librevenge::RVNGString &name)
void | setMiddleName (const librevenge::RVNGString &name)
void | setLastName (const librevenge::RVNGString &name)
void | setNickname (const librevenge::RVNGString &name)
void | finishAuthor ()
const std::deque< Data > & | getAuthors () const

## Private Attributes
std::deque< Data > | m_authors
Data | m_current

## Constructor & Destructor Documentation

## § FB2Authors()

libebook::FB2Authors::FB2Authors | ( |  | ) |

## Member Function Documentation

## § finishAuthor()

void libebook::FB2Authors::finishAuthor | ( |  | ) |

Referenced by libebook::FB2AuthorContext::endOfElement().

## § getAuthors()

const std::deque< FB2Authors::Data > & libebook::FB2Authors::getAuthors | ( |  | ) | const

Referenced by libebook::FB2TitleInfoContext::endOfElement().

## § setFirstName()

void libebook::FB2Authors::setFirstName | ( | const librevenge::RVNGString & | name | ) |

Referenced by libebook::FB2FirstNameContext::text().

## § setLastName()

void libebook::FB2Authors::setLastName | ( | const librevenge::RVNGString & | name | ) |

Referenced by libebook::FB2LastNameContext::text().

## § setMiddleName()

void libebook::FB2Authors::setMiddleName | ( | const librevenge::RVNGString & | name | ) |

Referenced by libebook::FB2MiddleNameContext::text().

## § setNickname()

void libebook::FB2Authors::setNickname | ( | const librevenge::RVNGString & | name | ) |

Referenced by libebook::FB2NicknameContext::text().

## Member Data Documentation

## § m_authors

std::deque<Data> libebook::FB2Authors::m_authors
| private

Referenced by finishAuthor(), and getAuthors().

## § m_current

Data libebook::FB2Authors::m_current
| private

Referenced by finishAuthor(), setFirstName(), setLastName(), setMiddleName(), and setNickname().

The documentation for this class was generated from the following file:

- FB2MetadataContext.cpp